Skip to main content

GET /v1/models

Returns a list of all models available for inference.

Example request

curl
curl https://api.inducta.ai/v1/models

Example response

{
  "data": [
    {
      "id": "openai/gpt-oss-120b",
      "architecture": {
        "instruct_type": null,
        "modality": "text->text",
        "tokenizer": "Other"
      },
      "context_length": 131072,
      "max_completion_tokens": 131072,
      "pricing": {
        "prompt": "0.015",
        "completion": "0.03"
      },
      "quantization": "fp4"
    },
    {
      "id": "openai/gpt-oss-20b",
      "architecture": {
        "instruct_type": null,
        "modality": "text->text",
        "tokenizer": "Other"
      },
      "context_length": 131072,
      "max_completion_tokens": 131072,
      "pricing": {
        "prompt": "0.01",
        "completion": "0.02"
      },
      "quantization": "fp4"
    }
  ]
}

Response fields

FieldTypeDescription
idstringThe model identifier to use in API requests
architecture.modalitystringInput/output modality (e.g. text->text)
context_lengthintegerMaximum context window in tokens
max_completion_tokensintegerMaximum tokens the model can generate
pricing.promptstringCost per 1M input tokens (in USD)
pricing.completionstringCost per 1M output tokens (in USD)
quantizationstringQuantization level (e.g. fp4, fp8)